Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513633 - [abrt] gnome-software: magazine_chain_pop_head(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: magazine_chain_pop_head(): gnome-software killed by SI...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1dbda38eadb5c758426433672f0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 17:22 UTC by Daniil Golovanov
Modified: 2018-11-30 18:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:13:47 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: cgroup (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: core_backtrace (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: cpuinfo (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: dso_list (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: environ (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: limits (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: maps (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: open_fds (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: proc_pid_status (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: var_log_messages (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details
File: exploitable (deleted)
2017-11-15 17:22 UTC, Daniil Golovanov
no flags Details

Description Daniil Golovanov 2017-11-15 17:22:21 UTC
Description of problem:
1. Fedora Workstation 27 is installed on a clean installation.
2. The system has been upgraded after installation.
3. The system update is then reset
4. After the reboot started to report a malicious gnome-software

Version-Release number of selected component:
gnome-software-3.26.1-3.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
journald_cursor: s=dd0a08b638664cbe845eb14598ab76d2;i=85b;b=87986f4753014906b9efcb43f1c292e1;m=51c7ab58;t=55e07e1582fe5;x=7a8abc06b1a11770
kernel:         4.13.9-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:539
 #1 thread_memory_magazine1_alloc at gslice.c:842
 #2 g_slice_alloc at gslice.c:1016
 #3 tuple_allocate_members at gvarianttypeinfo.c:359
 #4 tuple_info_new at gvarianttypeinfo.c:665
 #5 g_variant_type_info_get at gvarianttypeinfo.c:761
 #6 g_variant_alloc at gvariant-core.c:477
 #7 g_variant_new_from_children at gvariant-core.c:565
 #8 g_variant_builder_end at gvariant.c:3703
 #9 g_variant_valist_new at gvariant.c:5199

Potential duplicate: bug 1375012

Comment 1 Daniil Golovanov 2017-11-15 17:22:28 UTC
Created attachment 1352788 [details]
File: backtrace

Comment 2 Daniil Golovanov 2017-11-15 17:22:30 UTC
Created attachment 1352789 [details]
File: cgroup

Comment 3 Daniil Golovanov 2017-11-15 17:22:33 UTC
Created attachment 1352790 [details]
File: core_backtrace

Comment 4 Daniil Golovanov 2017-11-15 17:22:35 UTC
Created attachment 1352791 [details]
File: cpuinfo

Comment 5 Daniil Golovanov 2017-11-15 17:22:37 UTC
Created attachment 1352792 [details]
File: dso_list

Comment 6 Daniil Golovanov 2017-11-15 17:22:39 UTC
Created attachment 1352793 [details]
File: environ

Comment 7 Daniil Golovanov 2017-11-15 17:22:41 UTC
Created attachment 1352794 [details]
File: limits

Comment 8 Daniil Golovanov 2017-11-15 17:22:44 UTC
Created attachment 1352795 [details]
File: maps

Comment 9 Daniil Golovanov 2017-11-15 17:22:47 UTC
Created attachment 1352796 [details]
File: open_fds

Comment 10 Daniil Golovanov 2017-11-15 17:22:48 UTC
Created attachment 1352797 [details]
File: proc_pid_status

Comment 11 Daniil Golovanov 2017-11-15 17:22:51 UTC
Created attachment 1352798 [details]
File: var_log_messages

Comment 12 Daniil Golovanov 2017-11-15 17:22:53 UTC
Created attachment 1352799 [details]
File: exploitable

Comment 13 Ben Cotton 2018-11-27 18:14:47 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 18:13:47 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.